@import 'vars';

.main {
  padding-top: 78px;
  @media (min-width: 758px) {
    padding-top: unset;
  }
}

.container {
  padding-top: 100px;
  position: relative;
  display: grid;
  grid-template-columns: $main-grid-columns;
  margin-bottom: 90px;

  @include below(758px) {
    display: block;
    grid-template-columns: [left] 30px [main] 1fr [right] 30px;
    padding: 0;
  }

  div[class*='modal-0-0-2'] {
    max-width: calc(100% - 40px);
  }
}

.contentWrapper {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  margin: auto;
  width: 835px;
  max-width: 60vw;

  @include below(758px) {
    width: 100%;
    max-width: none;
  }
}

.main {
  grid-column: main;
}

.sovrynLogo {
  display: block;
  margin: auto;
  width: 132px;
  
  @media (min-width: 758px) {
    max-width: 100%;
    width: auto;
  }
}

.boldDescription {
  font-family: Montserrat, sans-serif;
  text-align: center;
  font-size: 21px;
  line-height: 28px;
  margin: 48px auto auto;
  font-weight: 700;
  color: #e9e9e9;
  .mobileBr {
    display: none;
  }

  @include below(758px) {
    font-size: 18px;
    line-height: 28px;
    width: auto;
    margin-bottom: 5px;
    margin-top: 25px;
    br {
      display: none;
    }
    .mobileBr {
      display: block;
    }
  }
}

.description {
  font-family: Montserrat, sans-serif;
  text-align: center;
  font-size: 18px;
  line-height: 24px;
  margin: 11px auto auto;
  font-weight: 400;
  color: #e9e9e9;
  .mobileBr {
    display: none;
  }
  @include below(758px) {
    font-size: 16px;
    line-height: 24px;
    width: auto;
    margin-top: 25px;
    br {
      display: none;
    }
    .mobileBr {
      display: block;
    }
  }
}

.proseDescription {
  background-color: $c-gold;
  border-radius: 37px;
  text-align: center;
  font-family: $font-montserrat-alt;
  font-size: 20px;
  color: $c-black;
  border: 13px solid $c-flush-orange;
  width: 773px;
  max-width: 100%;
  margin: auto;
  padding: 24px 9px;
  line-height: 30px;

  .proseParagraph {
    display: block;

    &:last-child {
      margin-top: 40px;
    }
  }

  @include below(758px) {
    font-size: 16px;
    line-height: 24px;
    padding: 30px 23px;

    .proseParagraph {
      margin-bottom: 15px;

      &:last-child {
        margin-top: 40px;
      }
    }
  }
}

.video {
  display: block;
  width: 830px;
  max-width: 100%;
  // margin-top: 62px;
  margin: auto auto 112px;

  @include below(758px) {
    margin-top: 0;
    margin-bottom: 15px;
  }
}

.svgTextContainer {
  @include below(758px) {
    display: flex;
    justify-content: space-between;
    margin-bottom: 20px;
  }
}

.svgText {
  position: absolute;

  &.textColoursMax {
    top: 511px;
    left: -230px;

    @include below(758px) {
      display: none;
    }
  }

  &.textManyStyle {
    top: 1050px;
    right: -190px;

    @include below(758px) {
      width: 110px;
      position: relative;
      top: unset;
      right: unset;
    }
  }

  &.textMuchRarity {
    top: 1351px;
    left: -210px;

    @include below(758px) {
      object-fit: contain;
      width: 157px;
      position: relative;
      top: unset;
      left: unset;
    }
  }

  &.textPlay {
    top: 50px;
    right: -130px;

    @include below(758px) {
      width: 65px;
      right: unset;
      left: 50%;
      top: 0px;
      transform: translateX(150%);
    }
  }

  &.textSuperValue {
    top: 611px;
    right: -220px;

    @include below(758px) {
      display: none;
    }
  }

  &.textVeryWow {
    top: 131px;
    left: -150px;

    @include below(1089px) {
      left: -250px;
    }

    @include below(758px) {
      width: 95px;
      left: 50%;
      top: 0;
      transform: translateX(-160%);
    }
  }
}

.upperContainer {
  position: relative;

  margin-bottom: 40px;
  width: 100%;
  min-height: 200px;
  @media (min-width: 350px) {
    width: 350px;
    height: 350px;
  }
  @media (min-width: 768px) {
    margin: 67px 0 42px;
    width: 437px;
    height: 437px;
  }
}

.middleContainer {
  display: flex;
  height: auto;

  p {
    font-size: 18px;
    font-style: normal;
    font-weight: 500;
    line-height: 30px;
    letter-spacing: 0;
    text-align: center;

    a {
      color: #fff;
    }

    @include below(758px) {
      font-size: 15px;
      line-height: 18px;
      width: auto;
      margin-top: 25px;
      margin-bottom: 25px;
    }
  }

  @media (min-width: 768px) {
    width: 100%;
    height: auto;
    margin-bottom: 25px;
  }
}

.details {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 44px 0 58px;

  .templateImage {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    max-width: 100%;
    object-fit: contain;
    z-index: 1;
  }

  .video {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 6;
    pointer-events: none;
    user-select: none;
    transition: opacity 8s ease-out;
  }

  .tokenVideo {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 7;
    pointer-events: none;
    user-select: none;
  }

  .button {
    font-family: MontSerrat, sans-serif;
    font-weight: 600;
    font-size: 18px;
    line-height: 21.94px;
    letter-spacing: 2%;
    color: white;
    border: none;
    cursor: pointer;
    text-decoration: none;
    display: inline;
    // margin: 0 0 10px 0;
    background-color: #00b218;
    filter: drop-shadow(0px 4px 4px rgba(0, 0, 0, 0.25));
    text-transform: uppercase;
    width: 100%;
    height: 50px;
    padding: 0 17px;
    border-radius: 15px;

    &:disabled {
      background: rgba(0, 179, 24, 0.5); //!important;
      cursor: not-allowed;
    }
  }

  @media (min-width: 768px) {
    width: 65%;
    padding: 25px 56px 78px 58px;

    .button {
      width: 436px;
      height: 65px;
    }
  }
}

.lowerContainer {
  border: 3px solid #ffffff;
  box-sizing: border-box;
  box-shadow: 0 0 50px rgba(255, 255, 255, 0.15);
  border-radius: 15px;

  display: flex;
  flex-direction: column;
  width: 100%;
  height: 306px;
  // background: linear-gradient(114.49deg, #3083ff 0%, #8536ff 74.17%, #8536ff 74.18%);
  align-items: center;
  position: relative;
  & div[class*='indicatorContainer'] {
    display: none;
  }
  @media (min-width: 768px) {
    width: 540px;
    height: 344px;
    & div[class*='indicatorContainer'] {
      display: block;
    }
  }

  .relativeWrapper {
    position: relative;
    margin-top: 40px;
    width: 100%;
    padding: 0 30px;
    @media (min-width: 768px) {
      width: unset;
      padding: unset;
    }
  }

  .buttonWrapper {
    position: relative;
    display: flex;
    width: 100%;
    margin-top: 36px;
    flex-direction: column;
    align-items: center;
    padding: 0 30px;
    @media (min-width: 768px) {
      margin-top: 32px;
      padding: unset;
      width: unset;
    }
  }

  .inputData {
    background-color: #fff;
    box-sizing: border-box;
    width: 100%;
    height: 50px;
    border-radius: 15px;
    border: 0;
    font-family: Montserrat, sans-serif;
    font-style: normal;
    font-weight: 700;
    line-height: 15.85px;
    font-size: 13px;
    letter-spacing: 0.02em;
    padding-left: 11px;
    color: #052152;
    text-shadow: 0px 2px 50px #fff;

    &:disabled {
      cursor: wait;
    }

    &:focus,
    &:focus-visible {
      border: 0;
      outline: 0;
    }

    &::placeholder {
      color: rgba(2, 12, 30, 0.5);
    }

    @media (min-width: 768px) {
      font-size: 18px;
      width: 436px;
      height: 65px;
      font-weight: 600;
      padding: 0px 0 0px 28px;
    }
  }

  .randomize {
    position: absolute;
    cursor: pointer;
    padding: 0;
    top: 18px;
    right: 48px;
    background-color: transparent;
    border: 0;
    img {
      height: 19px;
      width: 21px;
    }
    @media (min-width: 768px) {
      top: 18px;
      right: 42px;
      img {
        width: 32px;
        height: 30px;
      }
    }
  }

  .connect {
    width: 100%;
    button {
      font-family: Montserrat, sans-serif;
      font-weight: 600;
      font-size: 14px;
      letter-spacing: 2%;
      white-space: nowrap;
      color: white;
      border: 0;
      text-transform: uppercase;
      background: #00b318; //#ff0066
      box-shadow: 0px 0px 80px rgba(27, 204, 50, 0.5);
      border-radius: 15px;
      width: 100%;
      height: 50px;
      margin-bottom: 18px;

      @media (min-width: 768px) {
        width: 436px;
        height: 65px;
        font-size: 18px;
        line-height: 21.94px;
      }
    }
  }

  .slider {
    background-color: rgba(255, 255, 255, 0.25);
    width: calc(100% - 60px) !important;
    margin-top: 31px !important;
    // border-radius: 0;
    @media (min-width: 768px) {
      margin-top: 51px !important;

      width: 436px !important;
    }
    :global(.rc-slider-rail) {
      display: block;
    }
    :global(.rc-slider-mark-text) {
      width: 100%;

      &:first-child {
        text-align: left;
        transform: none !important;
      }

      &:last-child {
        text-align: right;
        transform: translateX(-100%) !important;
      }
    }

    // .sliderInfo {
    //   margin: 0;
    //   font-family: Montserrat;
    //   font-weight: 500;
    //   font-size: 12px;
    //   font-style: italic;
    //   padding: 0;
    //   color: rgba(255, 255, 255, 0.5);

    //   @media (min-width: 768px) {
    //     font-size: 15px;
    //   }
    // }
  }

  .status {
    position: absolute;
    font-family: Montserrat, sans-serif;
    font-style: normal;
    top: -32px;
    font-weight: 800;
    font-size: 10px;
    line-height: 12px;
    text-align: center;
    letter-spacing: 0.02em;
    text-transform: uppercase;
    color: #00b318;

    @media (min-width: 768px) {
      font-size: 12px;
      line-height: 15px;
    }
  }

  .percentage {
    font-family: Montserrat, sans-serif;
    color: #fff;
    margin-top: 2px;
    font-weight: 600;
    font-size: 12px;
    line-height: 14.63px;
    letter-spacing: 0.02em;
  }

  .eligibilityError {
    font-size: 12px;
    font-weight: 700;
    font-family: Montserrat, sans-serif;
    color: red;

    @media (min-width: 768px) {
      font-size: 15px;
      line-height: 15px;
    }
  }

  .notEligibleInfo {
    margin-top: 20px;
    color: red;
  }
}

.withdrawals {
  position: relative;
  margin: 19px 0 0;
  font-family: Montserrat, sans-serif;
  font-style: normal;
  font-weight: 800;
  font-size: 12px;
  line-height: 14.63px;
  letter-spacing: 0.02em;
  color: #ffffff;
  @media (min-width: 768px) {
    font-size: 12px;
    line-height: 15px;
    margin-bottom: 0;
  }
}

.image {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  max-width: 100%;
  object-fit: contain;
  z-index: 1;
  border: 1px solid #00a3ff;
  box-shadow: 0 0 20px 2px #00a3ff;
}

.mintingContainer {
  position: relative;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  min-height: 600px;
  @media (min-width: 768px) {
    min-height: 993px;
  }
}

.footerButton {
  margin-top: 45px;
  min-height: 50px;
  padding: 8px;
  border-radius: 10px;
  text-decoration: none;
  &:first-child {
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 18px;
    font-weight: 600;
    text-transform: none;
    background-color: #00a3ff;
    margin-right: 27px;
  }

  &:last-child {
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 18px;
    font-weight: 600;
    text-transform: none;
    background-color: #db00ff;

    img {
      margin-right: 17px;
    }
  }
}
